Package org.codehaus.commons.compiler

# Class MultiCookable

java.lang.Object
org.codehaus.commons.compiler.Cookable
org.codehaus.commons.compiler.MultiCookable

All Implemented Interfaces:
  `ICookable`, `IMultiCookable`

Direct Known Subclasses:
  `ExpressionEvaluator`, `ExpressionEvaluator`, `ScriptEvaluator`, `ScriptEvaluator`

public abstract class MultiCookable extends Cookable implements IMultiCookable
Implements all methods of `IMultiCookable`, except for `IMultiCookable.cook(String[], Reader[])`.

## Constructor Summary

Constructors
Constructor
Description
`MultiCookable()`

## Method Summary

Modifier and Type
Method
Description
`final void`
`cook(InputStream... inputStreams)`
Same as `Cookable.cook(InputStream)`, but cooks a set of documents into one class.
`final void`
`cook(InputStream[] inputStreams, String[] encodings)`
Same as `Cookable.cook(InputStream, String)`, but cooks a set of documents into one class.
`final void`
`cook(Reader... readers)`
Same as `Cookable.cook(Reader)`, but cooks a set of documents into one class.
`final void`
`cook(String[] strings)`
Same as `Cookable.cook(String)`, but cooks a set of documents into one class.
`final void`
`cook(String[] fileNames, InputStream[] inputStreams)`
Same as `Cookable.cook(String, InputStream)`, but cooks a set of documents into one class.
`final void`
`cook(String[] fileNames, InputStream[] inputStreams, String[] encodings)`
Same as `Cookable.cook(String, InputStream, String)`, but cooks a set of documents into one class.
`abstract void`
`cook(String[] fileNames, Reader[] readers)`
Same as `Cookable.cook(String, Reader)`, but cooks a set of documents into one class.
`final void`
`cook(String[] fileNames, String[] strings)`
Same as `Cookable.cook(String, String)`, but cooks a set of documents into one class.
`final void`
`cookFiles(File[] files)`
Same as `Cookable.cookFile(File)`, but cooks a set of documents into one class.
`final void`
`cookFiles(File[] files, String[] encodings)`
Same as `Cookable.cookFile(File, String)`, but cooks a set of documents into one class.
`final void`
`cookFiles(String[] fileNames)`
Same as `Cookable.cookFile(String)`, but cooks a set of documents into one class.
`final void`
`cookFiles(String[] fileNames, String[] encodings)`
Same as `Cookable.cookFile(String, String)`, but cooks a set of documents into one class.

### Methods inherited from class org.codehaus.commons.compiler.Cookable

`cook, cook, cook, cook, cook, cook, cook, cook, cookFile, cookFile, cookFile, cookFile`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.codehaus.commons.compiler.ICookable

`getBytecodes, setSourceVersion, setTargetVersion`

## Constructor Details

### MultiCookable

public MultiCookable()

## Method Details

### cook

public final void cook(InputStream... inputStreams) throws CompileException, IOException
Description copied from interface: `IMultiCookable`
Same as `Cookable.cook(InputStream)`, but cooks a set of documents into one class.

Specified by:
  `cook` in interface `IMultiCookable`
Throws:
  `CompileException`
  `IOException`

### cook

public final void cook(String[] strings) throws CompileException
Description copied from interface: `IMultiCookable`
Same as `Cookable.cook(String)`, but cooks a set of documents into one class.

Specified by:
  `cook` in interface `IMultiCookable`
Throws:
  `CompileException`

### cook

public final void cook(String[] fileNames, InputStream[] inputStreams) throws CompileException, IOException
Description copied from interface: `IMultiCookable`
Same as `Cookable.cook(String, InputStream)`, but cooks a set of documents into one class.

Specified by:
  `cook` in interface `IMultiCookable`
Throws:
  `CompileException`
  `IOException`

### cook

public final void cook(InputStream[] inputStreams, String[] encodings) throws CompileException, IOException
Description copied from interface: `IMultiCookable`
Same as `Cookable.cook(InputStream, String)`, but cooks a set of documents into one class.

Specified by:
  `cook` in interface `IMultiCookable`
Throws:
  `CompileException`
  `IOException`

### cook

public final void cook(String[] fileNames, InputStream[] inputStreams, String[] encodings) throws CompileException, IOException
Description copied from interface: `IMultiCookable`
Same as `Cookable.cook(String, InputStream, String)`, but cooks a set of documents into one class.

Specified by:
  `cook` in interface `IMultiCookable`
Throws:
  `CompileException`
  `IOException`

### cook

public final void cook(String[] fileNames, String[] strings) throws CompileException
Description copied from interface: `IMultiCookable`
Same as `Cookable.cook(String, String)`, but cooks a set of documents into one class.

Specified by:
  `cook` in interface `IMultiCookable`
Throws:
  `CompileException`

### cook

public abstract void cook(String[] fileNames, Reader[] readers) throws CompileException, IOException
Description copied from interface: `IMultiCookable`
Same as `Cookable.cook(String, Reader)`, but cooks a set of documents into one class. Notice that if any of the documents causes trouble, the entire compilation will fail. If you need to report which of the documents causes the exception, you may want to use the `fileNames` parameter to distinguish between the individual token sources.

Specified by:
  `cook` in interface `IMultiCookable`
Throws:
  `CompileException`
  `IOException`

### cookFiles

public final void cookFiles(File[] files) throws CompileException, IOException
Description copied from interface: `IMultiCookable`
Same as `Cookable.cookFile(File)`, but cooks a set of documents into one class.

Specified by:
  `cookFiles` in interface `IMultiCookable`
Throws:
  `CompileException`
  `IOException`

### cookFiles

public final void cookFiles(File[] files, String[] encodings) throws CompileException, IOException
Description copied from interface: `IMultiCookable`
Same as `Cookable.cookFile(File, String)`, but cooks a set of documents into one class.

Specified by:
  `cookFiles` in interface `IMultiCookable`
Throws:
  `CompileException`
  `IOException`

### cookFiles

public final void cookFiles(String[] fileNames) throws CompileException, IOException
Description copied from interface: `IMultiCookable`
Same as `Cookable.cookFile(String)`, but cooks a set of documents into one class.

Specified by:
  `cookFiles` in interface `IMultiCookable`
Throws:
  `CompileException`
  `IOException`

### cookFiles

public final void cookFiles(String[] fileNames, String[] encodings) throws CompileException, IOException
Description copied from interface: `IMultiCookable`
Same as `Cookable.cookFile(String, String)`, but cooks a set of documents into one class.

Specified by:
  `cookFiles` in interface `IMultiCookable`
Throws:
  `CompileException`
  `IOException`

### cook

public final void cook(Reader... readers) throws CompileException, IOException
Description copied from interface: `IMultiCookable`
Same as `Cookable.cook(Reader)`, but cooks a set of documents into one class.

Specified by:
  `cook` in interface `IMultiCookable`
Throws:
  `CompileException`
  `IOException`